Index: /code/branches/output/src/libraries/core/command/ConsoleCommandCompilation.cc
===================================================================
--- /code/branches/output/src/libraries/core/command/ConsoleCommandCompilation.cc	(revision 8805)
+++ /code/branches/output/src/libraries/core/command/ConsoleCommandCompilation.cc	(revision 8806)
@@ -48,5 +48,4 @@
 //    SetConsoleCommand("source", source).argumentCompleter(0, autocompletion::files());  // disabled because we use the implementation in Tcl
     SetConsoleCommand("echo", echo);
-//    SetConsoleCommand("puts", puts);                                                    // disabled because we use the implementation in Tcl
 
 //    SetConsoleCommand("read", read).argumentCompleter(0, autocompletion::files());      // disabled because we use the implementation in Tcl
@@ -66,5 +65,5 @@
         if (it != executingFiles.end())
         {
-            COUT(1) << "Error: Recurring source command in \"" << filename << "\". Stopped execution." << std::endl;
+            orxout(user_error) << "Recurring source command in \"" << filename << "\". Stopped execution." << endl;
             return;
         }
@@ -76,5 +75,5 @@
         if (!file.is_open())
         {
-            COUT(1) << "Error: Couldn't open file \"" << filename << "\"." << std::endl;
+            orxout(user_error) << "Couldn't open file \"" << filename << "\"." << endl;
             return;
         }
@@ -103,19 +102,4 @@
 
     /**
-        @brief Writes text to the console, depending on the first argument with or without a line-break after it.
-    */
-    void puts(bool newline, const std::string& text)
-    {
-        if (newline)
-        {
-            COUT(0) << stripEnclosingBraces(text) << std::endl;
-        }
-        else
-        {
-            COUT(0) << stripEnclosingBraces(text);
-        }
-    }
-
-    /**
         @brief Writes text to a file.
     */
@@ -127,9 +111,9 @@
         if (!file.is_open())
         {
-            COUT(1) << "Error: Couldn't write to file \"" << filename << "\"." << std::endl;
+            orxout(user_error) << "Couldn't write to file \"" << filename << "\"." << endl;
             return;
         }
 
-        file << text << std::endl;
+        file << text << endl;
         file.close();
     }
@@ -145,9 +129,9 @@
         if (!file.is_open())
         {
-            COUT(1) << "Error: Couldn't append to file \"" << filename << "\"." << std::endl;
+            orxout(user_error) << "Couldn't append to file \"" << filename << "\"." << endl;
             return;
         }
 
-        file << text << std::endl;
+        file << text << endl;
         file.close();
     }
@@ -163,5 +147,5 @@
         if (!file.is_open())
         {
-            COUT(1) << "Error: Couldn't read from file \"" << filename << "\"." << std::endl;
+            orxout(user_error) << "Couldn't read from file \"" << filename << "\"." << endl;
             return "";
         }
@@ -192,9 +176,9 @@
             if (expr.getResult() == 42.0)
             {
-                COUT(3) << "Greetings from the restaurant at the end of the universe." << std::endl;
+                orxout(user_info) << "Greetings from the restaurant at the end of the universe." << endl;
             }
             if (!expr.getRemains().empty())
             {
-                COUT(2) << "Warning: Expression could not be parsed to the end! Remains: '" << expr.getRemains() << '\'' << std::endl;
+                orxout(user_warning) << "Expression could not be parsed to the end! Remains: '" << expr.getRemains() << '\'' << endl;
             }
             return static_cast<float>(expr.getResult());
@@ -202,5 +186,5 @@
         else
         {
-            COUT(1) << "Error: Cannot calculate expression: Parse error." << std::endl;
+            orxout(user_error) << "Cannot calculate expression: Parse error." << endl;
             return 0;
         }
Index: /code/branches/output/src/libraries/core/command/ConsoleCommandCompilation.h
===================================================================
--- /code/branches/output/src/libraries/core/command/ConsoleCommandCompilation.h	(revision 8805)
+++ /code/branches/output/src/libraries/core/command/ConsoleCommandCompilation.h	(revision 8806)
@@ -42,5 +42,4 @@
     _CoreExport void source(const std::string& filename);
     _CoreExport std::string echo(const std::string& text);
-    _CoreExport void puts(bool newline, const std::string& test);
 
     _CoreExport void write(const std::string& filename, const std::string& text);
Index: /code/branches/output/src/libraries/core/command/Executor.cc
===================================================================
--- /code/branches/output/src/libraries/core/command/Executor.cc	(revision 8805)
+++ /code/branches/output/src/libraries/core/command/Executor.cc	(revision 8806)
@@ -104,9 +104,9 @@
         {
             if (bPrintError)
-                COUT(2) << "Warning: Can't call executor " << this->name_ << " through parser: Not enough arguments or default values given (input: " << arguments.join() << ")." << std::endl;
+                orxout(internal_warning) << "Can't call executor " << this->name_ << " through parser: Not enough arguments or default values given (input: " << arguments.join() << ")." << endl;
             return MT_Type::Null;
         }
 
-        COUT(5) << "Executor::parse: \"" << arguments.join(delimiter) << "\" -> " << argCount << " arguments: " << arg[0] << " / " << arg[1] << " / " << arg[2] << " / " << arg[3] << " / " << arg[4] << std::endl;
+        orxout(verbose, context::executor) << "Executor::parse: \"" << arguments.join(delimiter) << "\" -> " << argCount << " arguments: " << arg[0] << " / " << arg[1] << " / " << arg[2] << " / " << arg[3] << " / " << arg[4] << endl;
 
         // execute the function with the evaluated arguments (the default values of the executor are also included in these arguments)
Index: /code/branches/output/src/libraries/core/command/Executor.h
===================================================================
--- /code/branches/output/src/libraries/core/command/Executor.h	(revision 8805)
+++ /code/branches/output/src/libraries/core/command/Executor.h	(revision 8806)
@@ -57,5 +57,5 @@
     void myFunction(int a, int b)                           // declare a static function
     {
-        COUT(0) << "The sum is " << (a + b) << std::endl;   // print the sum of a and b to the console
+        orxout() << "The sum is " << (a + b) << endl;       // print the sum of a and b to the console
     }
 
Index: /code/branches/output/src/libraries/core/command/Functor.h
===================================================================
--- /code/branches/output/src/libraries/core/command/Functor.h	(revision 8805)
+++ /code/branches/output/src/libraries/core/command/Functor.h	(revision 8806)
@@ -256,5 +256,5 @@
                 else
                 {
-                    COUT(1) << "Error: Can't execute FunctorMember, no object set." << std::endl;
+                    orxout(internal_error) << "Can't execute FunctorMember, no object set." << endl;
                     return MT_Type::Null;
                 }
@@ -339,5 +339,5 @@
             // see Functor::setRawObjectPointer()
             inline void setRawObjectPointer(void*)
-                { COUT(2) << "Warning: Can't assign an object pointer to a static functor" << std::endl; }
+                { orxout(internal_warning) << "Can't assign an object pointer to a static functor" << endl; }
             // see Functor::getRawObjectPointer()
             inline void* getRawObjectPointer() const
Index: /code/branches/output/src/libraries/core/command/IOConsoleWindows.cc
===================================================================
--- /code/branches/output/src/libraries/core/command/IOConsoleWindows.cc	(revision 8805)
+++ /code/branches/output/src/libraries/core/command/IOConsoleWindows.cc	(revision 8806)
@@ -250,5 +250,5 @@
             || !SetConsoleMode(this->stdInHandle_, 0))
         {
-            orxout(user_error) << "Error: Could not set Windows console settings" << endl;
+            orxout(user_error) << "Could not set Windows console settings" << endl;
             return;
         }
Index: /code/branches/output/src/libraries/core/command/IRC.cc
===================================================================
--- /code/branches/output/src/libraries/core/command/IRC.cc	(revision 8805)
+++ /code/branches/output/src/libraries/core/command/IRC.cc	(revision 8806)
@@ -85,5 +85,5 @@
         }
         catch (Tcl::tcl_error const &e)
-        {   COUT(1) << "Tcl (IRC) error: " << e.what();   }
+        {   orxout(user_error, context::tcl) << "Tcl (IRC) error: " << e.what() << endl;   }
 
         this->nickname_ = "orx" + multi_cast<std::string>(static_cast<unsigned int>(rand()));
@@ -100,5 +100,5 @@
         {
             IRC::getInstance().initialize();
-            COUT(1) << "Error: IRC client wasn't yet initialized, please try again." << std::endl;
+            orxout(user_error) << "IRC client wasn't yet initialized, please try again." << endl;
             return false;
         }
@@ -110,5 +110,5 @@
         }
         catch (Tcl::tcl_error const &e)
-        {   COUT(1) << "Tcl (IRC) error: " << e.what();   }
+        {   orxout(user_error, context::tcl) << "Tcl (IRC) error: " << e.what() << endl;   }
 
         return false;
@@ -139,5 +139,5 @@
     void IRC::tcl_say(Tcl::object const &channel, Tcl::object const &nick, Tcl::object const &args)
     {
-        COUT(0) << "IRC> " << nick.get() << ": " << stripEnclosingBraces(args.get()) << std::endl;
+        orxout(message) << "IRC> " << nick.get() << ": " << stripEnclosingBraces(args.get()) << endl;
     }
 
@@ -145,5 +145,5 @@
     void IRC::tcl_privmsg(Tcl::object const &query, Tcl::object const &nick, Tcl::object const &args)
     {
-        COUT(0) << "IRC (" << query.get() << ")> " << nick.get() << ": " << stripEnclosingBraces(args.get()) << std::endl;
+        orxout(message) << "IRC (" << query.get() << ")> " << nick.get() << ": " << stripEnclosingBraces(args.get()) << endl;
     }
 
@@ -151,5 +151,5 @@
     void IRC::tcl_action(Tcl::object const &channel, Tcl::object const &nick, Tcl::object const &args)
     {
-        COUT(0) << "IRC> * " << nick.get() << ' ' << stripEnclosingBraces(args.get()) << std::endl;
+        orxout(message) << "IRC> * " << nick.get() << ' ' << stripEnclosingBraces(args.get()) << endl;
     }
 
@@ -157,5 +157,5 @@
     void IRC::tcl_info(Tcl::object const &channel, Tcl::object const &args)
     {
-        COUT(0) << "IRC> --> " << stripEnclosingBraces(args.get()) << std::endl;
+        orxout(message) << "IRC> --> " << stripEnclosingBraces(args.get()) << endl;
     }
 }
Index: /code/branches/output/src/libraries/core/command/TclBind.cc
===================================================================
--- /code/branches/output/src/libraries/core/command/TclBind.cc	(revision 8805)
+++ /code/branches/output/src/libraries/core/command/TclBind.cc	(revision 8806)
@@ -106,5 +106,5 @@
             }
             catch (Tcl::tcl_error const &e)
-            {   COUT(1) << "Tcl error while creating Tcl-interpreter: " << e.what() << std::endl;   }
+            {   orxout(internal_error, context::tcl) << "Tcl error while creating Tcl-interpreter: " << e.what() << endl;   }
         }
     }
@@ -129,5 +129,8 @@
         }
         catch (Tcl::tcl_error const &e)
-        {   COUT(1) << "Tcl error while creating Tcl-interpreter: " << e.what() << std::endl; COUT(1) << "Error: Tcl isn't properly initialized. Orxonox might possibly not work like that." << std::endl;   }
+        {
+            orxout(internal_error, context::tcl) << "Tcl error while creating Tcl-interpreter: " << e.what() << endl;
+            orxout(user_error, context::tcl) << "Tcl isn't properly initialized. Orxonox might possibly not work like that." << endl;
+        }
 
         return interpreter;
@@ -154,5 +157,5 @@
     std::string TclBind::tcl_query(Tcl::object const &args)
     {
-        COUT(4) << "Tcl_query: " << args.get() << std::endl;
+        orxout(verbose, context::commands) << "Tcl_query: " << args.get() << endl;
         return TclBind::tcl_helper(args, true);
     }
@@ -163,5 +166,5 @@
     void TclBind::tcl_execute(Tcl::object const &args)
     {
-        COUT(4) << "Tcl_execute: " << args.get() << std::endl;
+        orxout(verbose, context::commands) << "Tcl_execute: " << args.get() << endl;
         TclBind::tcl_helper(args, false);
     }
@@ -186,12 +189,12 @@
         switch (error)
         {
-            case CommandExecutor::Error:       COUT(1) << "Error: Can't execute command \"" << command << "\", command doesn't exist. (B)" << std::endl; break;
-            case CommandExecutor::Incomplete:  COUT(1) << "Error: Can't execute command \"" << command << "\", not enough arguments given. (B)" << std::endl; break;
-            case CommandExecutor::Deactivated: COUT(1) << "Error: Can't execute command \"" << command << "\", command is not active. (B)" << std::endl; break;
-            case CommandExecutor::Denied:      COUT(1) << "Error: Can't execute command \"" << command << "\", access denied. (B)" << std::endl; break;
+            case CommandExecutor::Error:       orxout(user_error) << "Can't execute command \"" << command << "\", command doesn't exist. (B)" << endl; break;
+            case CommandExecutor::Incomplete:  orxout(user_error) << "Can't execute command \"" << command << "\", not enough arguments given. (B)" << endl; break;
+            case CommandExecutor::Deactivated: orxout(user_error) << "Can't execute command \"" << command << "\", command is not active. (B)" << endl; break;
+            case CommandExecutor::Denied:      orxout(user_error) << "Can't execute command \"" << command << "\", access denied. (B)" << endl; break;
         }
 
         if (error == CommandExecutor::Error)
-            COUT(3) << "Did you mean \"" << evaluation.getCommandSuggestion() << "\"?" << std::endl;
+            orxout(user_info) << "Did you mean \"" << evaluation.getCommandSuggestion() << "\"?" << endl;
 
         return result;
@@ -211,5 +214,5 @@
             }
             catch (Tcl::tcl_error const &e)
-            {   COUT(1) << "Tcl error: " << e.what() << std::endl;   }
+            {   orxout(user_error, context::tcl) << "Tcl error: " << e.what() << endl;   }
         }
 
@@ -223,5 +226,5 @@
     void TclBind::bgerror(const std::string& error)
     {
-        COUT(1) << "Tcl background error: " << stripEnclosingBraces(error) << std::endl;
+        orxout(user_error, context::tcl) << "Tcl background error: " << stripEnclosingBraces(error) << endl;
     }
 
@@ -243,5 +246,5 @@
         }
         catch (Tcl::tcl_error const &e)
-        {   COUT(1) << "Tcl error: " << e.what() << std::endl;   }
+        {   orxout(user_error, context::tcl) << "Tcl error: " << e.what() << endl;   }
 
         if (error)
Index: /code/branches/output/src/libraries/core/command/TclThreadManager.cc
===================================================================
--- /code/branches/output/src/libraries/core/command/TclThreadManager.cc	(revision 8805)
+++ /code/branches/output/src/libraries/core/command/TclThreadManager.cc	(revision 8806)
@@ -225,5 +225,5 @@
         TclThreadManager::getInstance().numInterpreterBundles_++;
         TclThreadManager::createWithId(TclThreadManager::getInstance().numInterpreterBundles_);
-        COUT(0) << "Created new Tcl-interpreter with ID " << TclThreadManager::getInstance().numInterpreterBundles_ << std::endl;
+        orxout(user_info) << "Created new Tcl-interpreter with ID " << TclThreadManager::getInstance().numInterpreterBundles_ << endl;
         return TclThreadManager::getInstance().numInterpreterBundles_;
     }
@@ -288,5 +288,8 @@
         }
         catch (const Tcl::tcl_error& e)
-        {   bundle->interpreter_ = 0; COUT(1) << "Tcl error while creating Tcl-interpreter (" << id_string << "): " << e.what() << std::endl;   }
+        {
+            bundle->interpreter_ = 0;
+            orxout(user_error, context::tcl) << "Tcl error while creating Tcl-interpreter (" << id_string << "): " << e.what() << endl;
+        }
     }
 
@@ -407,5 +410,5 @@
             {
                 // This query would lead to a deadlock - return with an error
-                TclThreadManager::error("Error: Circular query (" + this->dumpList(source_bundle->queriers_.getList()) + ' ' + multi_cast<std::string>(source_bundle->id_) \
+                TclThreadManager::error("Circular query (" + this->dumpList(source_bundle->queriers_.getList()) + ' ' + multi_cast<std::string>(source_bundle->id_) \
                             + " -> " + multi_cast<std::string>(target_bundle->id_) \
                             + "), couldn't query Tcl-interpreter with ID " + multi_cast<std::string>(target_bundle->id_) \
@@ -448,8 +451,8 @@
                         switch (error)
                         {
-                            case CommandExecutor::Error:       TclThreadManager::error("Error: Can't execute command \"" + command + "\", command doesn't exist. (T)"); break;
-                            case CommandExecutor::Incomplete:  TclThreadManager::error("Error: Can't execute command \"" + command + "\", not enough arguments given. (T)"); break;
-                            case CommandExecutor::Deactivated: TclThreadManager::error("Error: Can't execute command \"" + command + "\", command is not active. (T)"); break;
-                            case CommandExecutor::Denied:      TclThreadManager::error("Error: Can't execute command \"" + command + "\", access denied. (T)"); break;
+                            case CommandExecutor::Error:       TclThreadManager::error("Can't execute command \"" + command + "\", command doesn't exist. (T)"); break;
+                            case CommandExecutor::Incomplete:  TclThreadManager::error("Can't execute command \"" + command + "\", not enough arguments given. (T)"); break;
+                            case CommandExecutor::Deactivated: TclThreadManager::error("Can't execute command \"" + command + "\", command is not active. (T)"); break;
+                            case CommandExecutor::Denied:      TclThreadManager::error("Can't execute command \"" + command + "\", access denied. (T)"); break;
                         }
                     }
@@ -476,5 +479,5 @@
                     // This happens if the main thread tries to query a busy interpreter
                     // To avoid a lock of the main thread, we simply don't proceed with the query in this case
-                    TclThreadManager::error("Error: Couldn't query Tcl-interpreter with ID " + multi_cast<std::string>(target_bundle->id_) + ", interpreter is busy right now.");
+                    TclThreadManager::error("Couldn't query Tcl-interpreter with ID " + multi_cast<std::string>(target_bundle->id_) + ", interpreter is busy right now.");
                 }
             }
@@ -522,5 +525,5 @@
         else
         {
-            TclThreadManager::error("Error: No Tcl-interpreter with ID " + multi_cast<std::string>(id) + " existing.");
+            TclThreadManager::error("No Tcl-interpreter with ID " + multi_cast<std::string>(id) + " existing.");
             return 0;
         }
Index: /code/branches/output/src/libraries/core/input/Button.cc
===================================================================
--- /code/branches/output/src/libraries/core/input/Button.cc	(revision 8805)
+++ /code/branches/output/src/libraries/core/input/Button.cc	(revision 8806)
@@ -255,11 +255,11 @@
         if (serious)
         {
-            COUT(2) << "Error while parsing binding for button/axis " << this->name_ << ". "
-                << message << std::endl;
+            orxout(internal_error, context::input) << "Error while parsing binding for button/axis " << this->name_ << ". "
+                << message << endl;
         }
         else
         {
-            COUT(3) << "Warning while parsing binding for button/axis " << this->name_ << ". "
-                << message << std::endl;
+            orxout(internal_warning, context::input) << "Warning while parsing binding for button/axis " << this->name_ << ". "
+                << message << endl;
         }
     }
Index: /code/branches/output/src/libraries/core/input/InputDevice.h
===================================================================
--- /code/branches/output/src/libraries/core/input/InputDevice.h	(revision 8805)
+++ /code/branches/output/src/libraries/core/input/InputDevice.h	(revision 8806)
@@ -135,5 +135,5 @@
             //       invalid right until the subclass has been constructed!
             oisDevice_->setEventCallback(static_cast<DeviceClass*>(this));
-            COUT(4) << "Instantiated a " << this->getClassName() << std::endl;
+            orxout(verbose, context::input) << "Instantiated a " << this->getClassName() << endl;
         }
 
@@ -147,6 +147,6 @@
             catch (const OIS::Exception& ex)
             {
-                COUT(1) << this->getClassName() << " destruction failed: " << ex.eText << std::endl
-                        << "    Potential resource leak!" << std::endl;
+                orxout(internal_error, context::input) << this->getClassName() << " destruction failed: " << ex.eText << '\n'
+                                                       << "Potential resource leak!" << endl;
             }
         }
Index: /code/branches/output/src/libraries/core/input/InputManager.cc
===================================================================
--- /code/branches/output/src/libraries/core/input/InputManager.cc	(revision 8805)
+++ /code/branches/output/src/libraries/core/input/InputManager.cc	(revision 8806)
@@ -100,5 +100,5 @@
         RegisterRootObject(InputManager);
 
-        CCOUT(4) << "Constructing..." << std::endl;
+        orxout(internal_status, context::input) << "InputManager: Constructing..." << endl;
 
         // Allocate space for the function call buffer
@@ -128,5 +128,5 @@
         ModifyConsoleCommand(__CC_InputManager_name, __CC_reload_name).setObject(this);
 
-        CCOUT(4) << "Construction complete." << std::endl;
+        orxout(internal_status, context::input) << "InputManager: Construction complete." << endl;
         internalState_ = Nothing;
     }
@@ -143,5 +143,5 @@
     void InputManager::loadDevices()
     {
-        CCOUT(4) << "Loading input devices..." << std::endl;
+        orxout(internal_info, context::input) << "InputManager: Loading input devices..." << endl;
 
         // When loading the devices they should not already be loaded
@@ -196,5 +196,5 @@
             // Exception-safety
             Loki::ScopeGuard guard = Loki::MakeGuard(OIS::InputManager::destroyInputSystem, oisInputManager_);
-            CCOUT(4) << "Created OIS input manager." << std::endl;
+            orxout(internal_info, context::input) << "Created OIS input manager." << endl;
 
             if (oisInputManager_->getNumberOfDevices(OIS::OISKeyboard) > 0)
@@ -219,5 +219,5 @@
         this->updateActiveStates();
 
-        CCOUT(4) << "Input devices loaded." << std::endl;
+        orxout(internal_info, context::input) << "Input devices loaded." << endl;
     }
 
@@ -233,10 +233,10 @@
             catch (const std::exception& ex)
             {
-                CCOUT(2) << "Warning: Failed to create Mouse:" << ex.what() << std::endl
-                         << "Proceeding without mouse support." << std::endl;
-            }
-        }
-        else
-            CCOUT(2) << "Warning: No mouse found! Proceeding without mouse support." << std::endl;
+                orxout(user_warning, context::input) << "Failed to create Mouse:" << ex.what() << '\n'
+                                                     << "Proceeding without mouse support." << endl;
+            }
+        }
+        else
+            orxout(user_warning, context::input) << "No mouse found! Proceeding without mouse support." << endl;
     }
 
@@ -252,5 +252,5 @@
             catch (const std::exception& ex)
             {
-                CCOUT(2) << "Warning: Failed to create joy stick: " << ex.what() << std::endl;
+                orxout(user_warning, context::input) << "Failed to create joy stick: " << ex.what() << endl;
             }
         }
@@ -270,5 +270,5 @@
     InputManager::~InputManager()
     {
-        CCOUT(3) << "Destroying..." << std::endl;
+        orxout(internal_status, context::input) << "InputManager: Destroying..." << endl;
 
         // Leave all active InputStates (except "empty")
@@ -295,5 +295,5 @@
         ModifyConsoleCommand(__CC_InputManager_name, __CC_reload_name).setObject(0);
 
-        CCOUT(3) << "Destruction complete." << std::endl;
+        orxout(internal_status, context::input) << "InputManager: Destruction complete." << endl;
     }
 
@@ -306,5 +306,5 @@
     void InputManager::destroyDevices()
     {
-        CCOUT(4) << "Destroying devices..." << std::endl;
+        orxout(internal_info, context::input) << "InputManager: Destroying devices..." << endl;
 
         BOOST_FOREACH(InputDevice*& device, devices_)
@@ -315,5 +315,5 @@
             delete device;
             device = 0;
-            CCOUT(4) << className << " destroyed." << std::endl;
+            orxout(internal_info, context::input) << className << " destroyed." << endl;
         }
         devices_.resize(InputDeviceEnumerator::FirstJoyStick);
@@ -326,11 +326,11 @@
         catch (const OIS::Exception& ex)
         {
-            COUT(1) << "OIS::InputManager destruction failed" << ex.eText << std::endl
-                    << "    Potential resource leak!" << std::endl;
+            orxout(internal_error, context::input) << "OIS::InputManager destruction failed" << ex.eText << '\n'
+                                                   << "Potential resource leak!" << endl;
         }
         oisInputManager_ = NULL;
 
         internalState_ |= Bad;
-        CCOUT(4) << "Destroyed devices." << std::endl;
+        orxout(internal_info, context::input) << "Destroyed devices." << endl;
     }
 
@@ -343,5 +343,5 @@
     {
         if (internalState_ & Calibrating)
-            CCOUT(2) << "Warning: Cannot reload input system. Joy sticks are currently being calibrated." << std::endl;
+            orxout(internal_warning, context::input) << "Cannot reload input system. Joy sticks are currently being calibrated." << endl;
         else
             reloadInternal();
@@ -351,5 +351,5 @@
     void InputManager::reloadInternal()
     {
-        CCOUT(4) << "Reloading ..." << std::endl;
+        orxout(internal_info, context::input) << "InputManager: Reloading ..." << endl;
 
         this->destroyDevices();
@@ -357,5 +357,5 @@
 
         internalState_ &= ~Bad;
-        CCOUT(4) << "Reloading complete." << std::endl;
+        orxout(internal_info, context::input) << "InputManager: Reloading complete." << endl;
     }
 
@@ -471,6 +471,6 @@
     void InputManager::calibrate()
     {
-        COUT(0) << "Move all joy stick axes fully in all directions." << std::endl
-                << "When done, put the axex in the middle position and press enter." << std::endl;
+        orxout(message) << "Move all joy stick axes fully in all directions." << '\n'
+                        << "When done, put the axex in the middle position and press enter." << endl;
 
         BOOST_FOREACH(InputDevice* device, devices_)
@@ -495,5 +495,5 @@
         this->clearBuffers();
 
-        COUT(0) << "Calibration has been stored." << std::endl;
+        orxout(message) << "Calibration has been stored." << endl;
     }
 
@@ -535,6 +535,6 @@
                     if (it->second->getPriority() == priority)
                     {
-                        COUT(2) << "Warning: Could not add an InputState with the same priority '"
-                            << static_cast<int>(priority) << "' != 0." << std::endl;
+                        orxout(internal_warning, context::input) << "Could not add an InputState with the same priority '"
+                            << static_cast<int>(priority) << "' != 0." << endl;
                         return 0;
                     }
@@ -548,5 +548,5 @@
         else
         {
-            COUT(2) << "Warning: Could not add an InputState with the same name '" << name << "'." << std::endl;
+            orxout(internal_warning, context::input) << "Could not add an InputState with the same name '" << name << "'." << endl;
             return 0;
         }
@@ -598,5 +598,5 @@
         if (name == "empty")
         {
-            COUT(2) << "InputManager: Leaving the empty state is not allowed!" << std::endl;
+            orxout(internal_warning, context::input) << "InputManager: Leaving the empty state is not allowed!" << endl;
             return false;
         }
@@ -623,5 +623,5 @@
         if (name == "empty")
         {
-            COUT(2) << "InputManager: Removing the empty state is not allowed!" << std::endl;
+            orxout(internal_warning, context::input) << "InputManager: Removing the empty state is not allowed!" << endl;
             return false;
         }
@@ -649,5 +649,5 @@
         if (name == "empty")
         {
-            COUT(2) << "InputManager: Changing the empty state is not allowed!" << std::endl;
+            orxout(internal_warning, context::input) << "InputManager: Changing the empty state is not allowed!" << endl;
             return false;
         }
Index: /code/branches/output/src/libraries/core/input/JoyStick.cc
===================================================================
--- /code/branches/output/src/libraries/core/input/JoyStick.cc	(revision 8805)
+++ /code/branches/output/src/libraries/core/input/JoyStick.cc	(revision 8806)
@@ -80,5 +80,5 @@
         }
 
-        COUT(4) << "Created OIS joy stick with ID " << deviceName_ << std::endl;
+        orxout(verbose, context::input) << "Created OIS joy stick with ID " << deviceName_ << endl;
 
         // Load calibration
Index: /code/branches/output/src/libraries/core/input/KeyBinder.cc
===================================================================
--- /code/branches/output/src/libraries/core/input/KeyBinder.cc	(revision 8805)
+++ /code/branches/output/src/libraries/core/input/KeyBinder.cc	(revision 8806)
@@ -251,5 +251,5 @@
     void KeyBinder::loadBindings()
     {
-        COUT(3) << "KeyBinder: Loading key bindings..." << std::endl;
+        orxout(internal_info, context::input) << "KeyBinder: Loading key bindings..." << endl;
 
         this->configFile_ = new ConfigFile(this->filename_, !PathConfig::buildDirectoryRun());
@@ -277,5 +277,5 @@
         }
 
-        COUT(3) << "KeyBinder: Loading key bindings done." << std::endl;
+        orxout(internal_info, context::input) << "KeyBinder: Loading key bindings done." << endl;
     }
 
@@ -294,5 +294,5 @@
         else
         {
-            COUT(2) << "Could not find key/button/axis with name '" << name << "'." << std::endl;
+            orxout(internal_warning, context::input) << "Could not find key/button/axis with name '" << name << "'." << endl;
             return false;
         }
